Bug 211250 - audio/musicpc: Take MAINTAINER'ship, autotools/iconv fixes
Summary: audio/musicpc: Take MAINTAINER'ship, autotools/iconv fixes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Pawel Pekala
URL:
Keywords: easy
Depends on:
Blocks:
 
Reported: 2016-07-20 16:29 UTC by Zsolt Udvari
Modified: 2016-08-04 17:24 UTC (History)
1 user (show)

See Also:
pawel: merge-quarterly+


Attachments
patch (1.19 KB, patch)
2016-07-20 16:29 UTC, Zsolt Udvari
no flags Details | Diff
Updated patch (1.29 KB, patch)
2016-07-21 08:26 UTC, Zsolt Udvari
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zsolt Udvari 2016-07-20 16:29:11 UTC
Created attachment 172752 [details]
patch

- added USES=autoreconf
- remove unneeded patch
- change WWW
- take maintainership

The autoreconf fixes a warning: 
"configure: loading site script /usr/ports/Templates/config.site
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
/wrkdirs/usr/ports/audio/musicpc/work/mpc-0.27/missing: Unknown `--is-lightweight' option
Try `/wrkdirs/usr/ports/audio/musicpc/work/mpc-0.27/missing --help' for more information
configure: WARNING: 'missing' script is too old or missing"
See the full log: http://freebsd.uzsolt.hu/logs/musicpc/musicpc-0.27-without-autoreconf.log

Poudriere logs (with autoreconf fix):
http://freebsd.uzsolt.hu/logs/musicpc/musicpc-0.27-with-iconv.log
http://freebsd.uzsolt.hu/logs/musicpc/musicpc-0.27.log

stage-qa test passed
Comment 1 Dmitry Marakasov freebsd_committer 2016-07-20 21:16:31 UTC
Note that this does not build on 9.x:

===>  Configuring for musicpc-0.27
configure: loading site script /usr/ports/Templates/config.site
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... (cached) /bin/mkdir -p
checking for gawk... (cached) /usr/bin/awk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking whether make supports nested variables... (cached) yes
checking for style of include used by make... GNU
checking for gcc... cc
checking whether the C compiler works... no
configure: error: in `/wrkdirs/usr/ports/audio/musicpc/work/mpc-0.27':
configure: error: C compiler cannot create executables
See `config.log' for more details
Comment 2 Zsolt Udvari 2016-07-21 07:01:21 UTC
(In reply to Dmitry Marakasov from comment #1)
Hm, it's strange. Part of config.log:
/usr/bin/ld: cannot find -liconv
configure:3273: $? = 1
configure:3311: result: no
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "mpc"
| #define PACKAGE_TARNAME "mpc"
| #define PACKAGE_VERSION "0.27"
| #define PACKAGE_STRING "mpc 0.27"
| #define PACKAGE_BUGREPORT "musicpd-dev-team@lists.sourceforge.net"
| #define PACKAGE_URL ""
| #define PACKAGE "mpc"
| #define VERSION "0.27"
| /* end confdefs.h.  */
| 
| int
| main ()
| {
| 
|   ;
|   return 0;
| }
configure:3316: error: in `/wrkdirs/usr/ports/audio/musicpc/work/mpc-0.27':
configure:3319: error: C compiler cannot create executables
See `config.log' for more details


So can't link libiconv.so but it seems it's installed:
===>   musicpc-0.27 depends on shared library: libiconv.so - found (/usr/local/lib/libiconv.so)
===>  Configuring for musicpc-0.27
configure: loading site script /usr/ports/Templates/config.site
checking for a BSD-compatible install... /usr/bin/install -c

But it doesn't build with original Makefile too...
Comment 3 Zsolt Udvari 2016-07-21 08:26:11 UTC
Created attachment 172772 [details]
Updated patch

Poudriere log with 9.3:
http://freebsd.uzsolt.hu/logs/musicpc/musicpc-0.27-amd93.log
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2016-07-21 09:08:13 UTC
Comment on attachment 172772 [details]
Updated patch

Port is unmaintained, implicit approval
Comment 5 commit-hook freebsd_committer 2016-08-04 16:00:21 UTC
A commit references this bug:

Author: pawel
Date: Thu Aug  4 15:59:59 UTC 2016
New revision: 419626
URL: https://svnweb.freebsd.org/changeset/ports/419626

Log:
  - Fix build on FreeBSD 9.x
  - Take maintainership
  - Add USES=autoreconf
  - Update WWW homepage

  PR:		211250
  Submitted by:	Zsolt Udvari
  MFH:		2016Q3

Changes:
  head/audio/musicpc/Makefile
  head/audio/musicpc/pkg-descr
Comment 6 commit-hook freebsd_committer 2016-08-04 17:23:33 UTC
A commit references this bug:

Author: pawel
Date: Thu Aug  4 17:23:00 UTC 2016
New revision: 419632
URL: https://svnweb.freebsd.org/changeset/ports/419632

Log:
  MFH: r419626

  - Fix build on FreeBSD 9.x
  - Take maintainership
  - Add USES=autoreconf
  - Update WWW homepage

  PR:		211250
  Submitted by:	Zsolt Udvari

  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2016Q3/
  branches/2016Q3/audio/musicpc/Makefile
  branches/2016Q3/audio/musicpc/pkg-descr